package com.steering.pss.glModels;

import java.util.Date;

public class SlmGlOrderHeadEntity{
    /**
     * ORD_PK(ORD_PK,VARCHAR,40)
     */
    private String ordPk;

    /**
     * 合同号(记录创建时如无合同号，形成LS+YYMMDD+三位流水号的临时合同号(ORDER_NO,VARCHAR,20)
     */
    private String orderNo;

    /**
     * 合同类型(ORDER_TYP,VARCHAR,20)
     */
    private String orderTyp;

    /**
     * 合同类型描述(ORDER_TYP_DESC,VARCHAR,20)
     */
    private String orderTypDesc;

    /**
     * 协议号(PROTCL_NO,VARCHAR,100)
     */
    private String protclNo;

    /**
     * 客户编码（订货单位）(CUSTOMER_NO,VARCHAR,10)
     */
    private String customerNo;

    /**
     * 客户名称（订货单位）(CUSTOMER_NM,VARCHAR,128)
     */
    private String customerNm;

    /**
     * 供货单位（制造商）(SUPPLY_UNIT,VARCHAR,20)
     */
    private String supplyUnit;

    /**
     * 付款方式(MNY_ASK_TYP,VARCHAR,20)
     */
    private String mnyAskTyp;

    /**
     * 结算单位编码(STLMT_UNIT_NO,VARCHAR,10)
     */
    private String stlmtUnitNo;

    /**
     * 结算单位名称(STLMT_UNIT_NM,VARCHAR,128)
     */
    private String stlmtUnitNm;

    /**
     * 法人(LEGAL_PSN,VARCHAR,20)
     */
    private String legalPsn;

    /**
     * 委托代理人(AGENT,VARCHAR,20)
     */
    private String agent;

    /**
     * 地址(ADDRESS,VARCHAR,150)
     */
    private String address;

    /**
     * 邮编(ZIP_CODE,VARCHAR,20)
     */
    private String zipCode;

    /**
     * 开户银行(BANK,VARCHAR,100)
     */
    private String bank;

    /**
     * 帐号(ACCOUNT,VARCHAR,50)
     */
    private String account;

    /**
     * 税号(TAX_ID,VARCHAR,50)
     */
    private String taxId;

    /**
     * 电话(PHONE,VARCHAR,20)
     */
    private String phone;

    /**
     * 传真(FAX,VARCHAR,20)
     */
    private String fax;

    /**
     * 结算方式（对应原产销付款要求）(MNY_ASK_DESC,VARCHAR,200)
     */
    private String mnyAskDesc;

    /**
     * 签订人(SIGN_PERSON,VARCHAR,20)
     */
    private String signPerson;

    /**
     * 签订日期(SIGN_DATE,TIMESTAMP,7)
     */
    private String signDate;

    /**
     * 签订地点(SIGN_ADDRESS,VARCHAR,100)
     */
    private String signAddress;

    /**
     * 合同年度(ORDER_YEAR,VARCHAR,20)
     */
    private String orderYear;

    /**
     * 销售组织(国贸/钢贸/销售公司)(SALE_ORG,VARCHAR,20)
     */
    private String saleOrg;

    /**
     * 销售组织描述(SALE_ORG_DESC,VARCHAR,20)
     */
    private String saleOrgDesc;

    /**
     * 备注(MEMO,VARCHAR,2000)
     */
    private String memo;

    /**
     * 结案时间(CLOSE_TIME,TIMESTAMP,7)
     */
    private Date closeTime;

    /**
     * 有效标志(00无效10有效20生效)(VALIDFLAG,VARCHAR,2)
     */
    private String validflag;

    /**
     * 创建人(CREATE_NAME,VARCHAR,20)
     */
    private String createName;

    /**
     * 创建人部门(CREATE_DEPT,VARCHAR,15)
     */
    private String createDept;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    private Date createTime;

    /**
     * 修改人(UPDATE_NAME,VARCHAR,20)
     */
    private String updateName;

    /**
     * 修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    private Date updateTime;

    /**
     * 删除人(DELETE_NAME,VARCHAR,20)
     */
    private String deleteName;

    /**
     * 删除时间(DELETE_TIME,TIMESTAMP,7)
     */
    private Date deleteTime;

    /**
     * 是否含税 0 否 1 是(CONTAIN_TAX,VARCHAR,1)
     */
    private String containTax;

    /**
     * 贸易类型（1223 , 1224）(TRADE_TYPE,VARCHAR,6)
     */
    private String tradeType;

    /**
     * 合同分类1225(ORDER_CLASSIFY,VARCHAR,6)
     */
    private String orderClassify;

    /**
     * 打印时间(PRINT_TIME,TIMESTAMP,7)
     */
    private Date printTime;

    /**
     * 打印次数(PRINT_COUNT,DECIMAL,3)
     */
    private Short printCount;

    /**
     * 合同条款(LOCAL_LAW,VARCHAR,2000)
     */
    private String localLaw;

    /**
     * 生效人计算机信息(计算机名 + IP + MAC地址）(IPMAC,VARCHAR,2000)
     */
    private String ipmac;

    /**
     * 关联合同号(GL_ORDER_NO,VARCHAR,100)
     */
    private String glOrderNo;

    /**
     * 审批标志(00待审10通过20退回30拒绝)(APPROVALFLAG,VARCHAR,2)
     */
    private String approvalflag;

    /**
     * 其它约定(LOCAL_ORHER,VARCHAR,2000)
     */
    private String localOrher;

    /**
     * 争议解决(LOCAL_ZY,VARCHAR,2000)
     */
    private String localZy;

    /**
     * 其它(ORHER_INFO,VARCHAR,2000)
     */
    private String orherInfo;

    /**
     * 交货地点(库房、车板)(DELVRY_ADDR,VARCHAR,20)
     */
    private String delvryAddr;

    /**
     * 交货方式(出卖人送货)(DELVRY_TYPE,VARCHAR,20)
     */
    private String delvryType;

    /**
     * 运输方式('1105')(TRANSIT_TYPE,VARCHAR,20)
     */
    private String transitType;

    /**
     * 包装方式(PACK_TYPE,VARCHAR,20)
     */
    private String packType;

    /**
     * 收货单位编码(RECEIV_NO,VARCHAR,10)
     */
    private String receivNo;

    /**
     * 收货单位名称(RECEIV_NM,VARCHAR,100)
     */
    private String receivNm;

    /**
     * 产品特殊要求(ORDER_SPECIAL_DESC,VARCHAR,4000)
     */
    private String orderSpecialDesc;
    
    private String balncePrice;

	public String getBalncePrice() {
		return balncePrice;
	}

	public void setBalncePrice(String balncePrice) {
		this.balncePrice = balncePrice;
	}

	public String getOrdPk() {
		return ordPk;
	}

	public void setOrdPk(String ordPk) {
		this.ordPk = ordPk;
	}

	public String getOrderNo() {
		return orderNo;
	}

	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}

	public String getOrderTyp() {
		return orderTyp;
	}

	public void setOrderTyp(String orderTyp) {
		this.orderTyp = orderTyp;
	}

	public String getOrderTypDesc() {
		return orderTypDesc;
	}

	public void setOrderTypDesc(String orderTypDesc) {
		this.orderTypDesc = orderTypDesc;
	}

	public String getProtclNo() {
		return protclNo;
	}

	public void setProtclNo(String protclNo) {
		this.protclNo = protclNo;
	}

	public String getCustomerNo() {
		return customerNo;
	}

	public void setCustomerNo(String customerNo) {
		this.customerNo = customerNo;
	}

	public String getCustomerNm() {
		return customerNm;
	}

	public void setCustomerNm(String customerNm) {
		this.customerNm = customerNm;
	}

	public String getSupplyUnit() {
		return supplyUnit;
	}

	public void setSupplyUnit(String supplyUnit) {
		this.supplyUnit = supplyUnit;
	}

	public String getMnyAskTyp() {
		return mnyAskTyp;
	}

	public void setMnyAskTyp(String mnyAskTyp) {
		this.mnyAskTyp = mnyAskTyp;
	}

	public String getStlmtUnitNo() {
		return stlmtUnitNo;
	}

	public void setStlmtUnitNo(String stlmtUnitNo) {
		this.stlmtUnitNo = stlmtUnitNo;
	}

	public String getStlmtUnitNm() {
		return stlmtUnitNm;
	}

	public void setStlmtUnitNm(String stlmtUnitNm) {
		this.stlmtUnitNm = stlmtUnitNm;
	}

	public String getLegalPsn() {
		return legalPsn;
	}

	public void setLegalPsn(String legalPsn) {
		this.legalPsn = legalPsn;
	}

	public String getAgent() {
		return agent;
	}

	public void setAgent(String agent) {
		this.agent = agent;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getZipCode() {
		return zipCode;
	}

	public void setZipCode(String zipCode) {
		this.zipCode = zipCode;
	}

	public String getBank() {
		return bank;
	}

	public void setBank(String bank) {
		this.bank = bank;
	}

	public String getAccount() {
		return account;
	}

	public void setAccount(String account) {
		this.account = account;
	}

	public String getTaxId() {
		return taxId;
	}

	public void setTaxId(String taxId) {
		this.taxId = taxId;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getFax() {
		return fax;
	}

	public void setFax(String fax) {
		this.fax = fax;
	}

	public String getMnyAskDesc() {
		return mnyAskDesc;
	}

	public void setMnyAskDesc(String mnyAskDesc) {
		this.mnyAskDesc = mnyAskDesc;
	}

	public String getSignPerson() {
		return signPerson;
	}

	public void setSignPerson(String signPerson) {
		this.signPerson = signPerson;
	}

	public String getSignDate() {
		return signDate;
	}

	public void setSignDate(String signDate) {
		this.signDate = signDate;
	}

	public String getSignAddress() {
		return signAddress;
	}

	public void setSignAddress(String signAddress) {
		this.signAddress = signAddress;
	}

	public String getOrderYear() {
		return orderYear;
	}

	public void setOrderYear(String orderYear) {
		this.orderYear = orderYear;
	}

	public String getSaleOrg() {
		return saleOrg;
	}

	public void setSaleOrg(String saleOrg) {
		this.saleOrg = saleOrg;
	}

	public String getSaleOrgDesc() {
		return saleOrgDesc;
	}

	public void setSaleOrgDesc(String saleOrgDesc) {
		this.saleOrgDesc = saleOrgDesc;
	}

	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public Date getCloseTime() {
		return closeTime;
	}

	public void setCloseTime(Date closeTime) {
		this.closeTime = closeTime;
	}

	public String getValidflag() {
		return validflag;
	}

	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	public String getCreateName() {
		return createName;
	}

	public void setCreateName(String createName) {
		this.createName = createName;
	}

	public String getCreateDept() {
		return createDept;
	}

	public void setCreateDept(String createDept) {
		this.createDept = createDept;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getUpdateName() {
		return updateName;
	}

	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public String getDeleteName() {
		return deleteName;
	}

	public void setDeleteName(String deleteName) {
		this.deleteName = deleteName;
	}

	public Date getDeleteTime() {
		return deleteTime;
	}

	public void setDeleteTime(Date deleteTime) {
		this.deleteTime = deleteTime;
	}

	public String getContainTax() {
		return containTax;
	}

	public void setContainTax(String containTax) {
		this.containTax = containTax;
	}

	public String getTradeType() {
		return tradeType;
	}

	public void setTradeType(String tradeType) {
		this.tradeType = tradeType;
	}

	public String getOrderClassify() {
		return orderClassify;
	}

	public void setOrderClassify(String orderClassify) {
		this.orderClassify = orderClassify;
	}

	public Date getPrintTime() {
		return printTime;
	}

	public void setPrintTime(Date printTime) {
		this.printTime = printTime;
	}

	public Short getPrintCount() {
		return printCount;
	}

	public void setPrintCount(Short printCount) {
		this.printCount = printCount;
	}

	public String getLocalLaw() {
		return localLaw;
	}

	public void setLocalLaw(String localLaw) {
		this.localLaw = localLaw;
	}

	public String getIpmac() {
		return ipmac;
	}

	public void setIpmac(String ipmac) {
		this.ipmac = ipmac;
	}

	public String getGlOrderNo() {
		return glOrderNo;
	}

	public void setGlOrderNo(String glOrderNo) {
		this.glOrderNo = glOrderNo;
	}

	public String getApprovalflag() {
		return approvalflag;
	}

	public void setApprovalflag(String approvalflag) {
		this.approvalflag = approvalflag;
	}

	public String getLocalOrher() {
		return localOrher;
	}

	public void setLocalOrher(String localOrher) {
		this.localOrher = localOrher;
	}

	public String getLocalZy() {
		return localZy;
	}

	public void setLocalZy(String localZy) {
		this.localZy = localZy;
	}

	public String getOrherInfo() {
		return orherInfo;
	}

	public void setOrherInfo(String orherInfo) {
		this.orherInfo = orherInfo;
	}

	public String getDelvryAddr() {
		return delvryAddr;
	}

	public void setDelvryAddr(String delvryAddr) {
		this.delvryAddr = delvryAddr;
	}

	public String getDelvryType() {
		return delvryType;
	}

	public void setDelvryType(String delvryType) {
		this.delvryType = delvryType;
	}

	public String getTransitType() {
		return transitType;
	}

	public void setTransitType(String transitType) {
		this.transitType = transitType;
	}

	public String getPackType() {
		return packType;
	}

	public void setPackType(String packType) {
		this.packType = packType;
	}

	public String getReceivNo() {
		return receivNo;
	}

	public void setReceivNo(String receivNo) {
		this.receivNo = receivNo;
	}

	public String getReceivNm() {
		return receivNm;
	}

	public void setReceivNm(String receivNm) {
		this.receivNm = receivNm;
	}

	public String getOrderSpecialDesc() {
		return orderSpecialDesc;
	}

	public void setOrderSpecialDesc(String orderSpecialDesc) {
		this.orderSpecialDesc = orderSpecialDesc;
	}

  
}